<?php
	/*
		Removes a desired variable from the querystring
		Credit:  http://www.addedbytes.com/code/querystring-functions/
	*/
	function remove_querystring_var($url, $key) { 
		$url = preg_replace('/(.*)(\?|&)' . $key . '=[^&]+?(&)(.*)/i', '$1$2$4', $url . '&');
		$url = substr($url, 0, -1);
		return ($url); 
	}

	/* handle the cookies */
	if($_GET['demo-list']) {
		/* set the new cookie */
		setcookie('demo-list',(int) $_GET['demo-list'],time()+60*60*24*30,'/'); //30 days
		if($_COOKIE['demo-list']) {
			header('Location: '.remove_querystring_var($_SERVER['REQUEST_URI'],'demo-list'));
			exit();
		}
	}
	
	$current_tab = isset($_COOKIE['demo-list']) ? (int)$_COOKIE['demo-list'] : (isset($_GET['demo-list']) ? (int)$_GET['demo-list'] : 0);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"  dir="ltr">
<head>
	<title>MooTools Tabs</title>
	<style type="text/css">
		* { margin:0; padding:0; }
		body { font:12px arial; }
		
		h1,p 	{ margin-bottom:20px; }
		
		/* tabs structure */
		.tab-container	{ width:320px; background:#eee; padding:5px 10px; }
		ul.tabs			{ list-style-type:none; margin:0; padding:0; }
			ul.tabs li		{ float:left; margin:10px 5px 0 0; }
			ul.tabs li a	{ padding:5px 10px; border:1px solid #ddd; font-weight:bold; background:url(tab-sprite.jpg) 0 0 repeat-x; color:#000; text-decoration:none; }
			ul.tabs li a.active	{ border-color:#028433; background-position:0 -96px; color:#fff; }
				ul.tabs li a.active:hover	{ text-decoration:none; cursor:default; }
			ul.tabs li:hover	{ text-decoration:underline; }
		ul.tabs-content	{ margin:10px 0 0 0; padding:0; }
			ul.tabs-content li	{ height:0; overflow:hidden; margin:0; padding:0; }

				/* ie fixes ... lame */
				* html ul.tabs-content li { float:left; } /* ie6 */
				*+ html ul.tabs-content li { width:99%; float:left; } /* ie7 */
		.clear { clear:both; }		
	
	</style>
	<script type="text/javascript" src="mootools-1.2.4.js"></script>
	<script type="text/javascript">
		/* class */
		var TabSet = new Class({
			options: {
				activeClass: 'active', //css class
				cookieName: '',
				cookieOptions: {
					duration: 30, //30 days
					path: '/'
				},
				startIndex: 0 //start with this item if no cookie or active
			},
			Implements: [Options,Events],
			initialize: function(tabs,contents,options) {
				//handle arguments
				this.setOptions(options);
				this.tabs = $$(tabs);
				this.contents = $$(contents);
				//determine the "active" tab
				var active = (Cookie.read(this.options.cookieName) || this.options.startIndex);
				this.activeTab = this.tabs[active].addClass(this.options.activeClass);
				this.activeContent = this.contents[active].setStyle('height','auto');
				//process each tab and content
				this.tabs.each(function(tab,i) {
					this.processItem(tab,this.contents[i],i);
				},this);
				//tabs are ready -- load it!
				this.fireEvent('load');
			},
			processItem:function(tab,content,i) {
				var contentHeight = content.getScrollSize().y;
				//add a click event to the tab
				tab.addEvent('click',function(e) {
					//stop!
					if(e) e.stop();
					//if it's not the active tab
					if(tab != this.activeTab) {
						//remove the active class from the active tab
						this.activeTab.removeClass(this.options.activeClass);
						//make the clicked tab the active tab
						(this.activeTab = tab).addClass(this.options.activeClass);
						//tween the old tab content up
						//tween the new content down
						this.activeContent.set('tween',{
							onComplete:function() {
								this.activeContent = content.fade('in').set('tween',{ onComplete: $empty }).tween('height',contentHeight);
								//fire the tab change event
								this.fireEvent('change',[tab,content]);
							}.bind(this)
						}).setStyles({
							height: contentHeight,
							overflow: 'hidden'
						}).fade('out').tween('height',0);
						//save the index to cookie
						if(this.options.cookieName) Cookie.write(this.options.cookieName,i,this.options.cookieOptions);
					}
				}.bind(this));
			}
		});
		
		
		/* usage */
		window.addEvent('load',function() {
			var tabset = new TabSet($$('#tabs1 li a'),$$('#contents1 li'),{
				cookieName: 'demo-list'
			});
		});
	</script>	
</head>
<body>
	
	<h1>Sexy MooTools Tabs!</h1>
	<p>Click on each tab below to see the animation.</p>
	
	<?php		
		/* generate the urls */
		$demo_tabs_url = remove_querystring_var($_SERVER['REQUEST_URI'],'demo-list');
		$demo_tabs_url.= (is_numeric(strpos($demo_tabs_url,'demo-list')) ? '&' : '?').'demo-list=';
		
		/* current tab */
		$current_tab = isset($_COOKIE['demo-list']) ? (int) $_COOKIE['demo-list'] : (isset($_GET['demo-list']) ? (int) $_GET['demo-list'] : 0);
	?>
	
	<div class="tab-container">
		<ul id="tabs1" class="tabs">
			<li><a href="<?php echo $demo_tabs_url.'0'; ?>" <?php echo $current_tab == '0' ? ' class="active"' : ''; ?>>Tab 1</a></li>
			<li><a href="<?php echo $demo_tabs_url.'1'; ?>"  <?php echo $current_tab == '1' ? 'class="active"' : ''; ?>>Tab 2</a></li>
			<li><a href="<?php echo $demo_tabs_url.'2'; ?>"  <?php echo $current_tab == '2' ? 'class="active"' : ''; ?>>Tab 3</a></li>
			<li><a href="<?php echo $demo_tabs_url.'3'; ?>"  <?php echo $current_tab == '3' ? 'class="active"' : ''; ?>>Tab 4</a></li>
		</ul>
		<div class="clear"></div>
		<ul id="contents1" class="tabs-content">
			<li <?php echo $current_tab == '0' ? ' style="height:auto;"' : ''; ?>>This is the content for tab 1. This is the content for tab 1. This is the content for tab 1. This is the content for tab 1. This is the content for tab 1. This is the content for tab 1. This is the content for tab 1. This is the content for tab 1.</li>
			<li <?php echo $current_tab == '1' ? ' style="height:auto;"' : ''; ?>>This is the content for tab 2. This is the content for tab 2. This is the content for tab 2. This is the content for tab 2. This is the content for tab 2. This is the content for tab 2. This is the content for tab 2. This is the content for tab 2.</li>
			<li <?php echo $current_tab == '2' ? ' style="height:auto;"' : ''; ?>>This is the content for tab 3. This is the content for tab 3. This is the content for tab 3. This is the content for tab 3. This is the content for tab 3. This is the content for tab 3. This is the content for tab 3. This is the content for tab 3.</li>
			<li <?php echo $current_tab == '3' ? ' style="height:auto;"' : ''; ?>>This is the content for tab 4. This is the content for tab 4. This is the content for tab 4. This is the content for tab 4. This is the content for tab 4. This is the content for tab 4. This is the content for tab 4. This is the content for tab 4.</li>
		</ul>
	</div>
	
	
	
	
	
</body>
</html>